OpenTTD Source: Data Fields

OpenTTD Source 13.2.1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - f -

- face : CompanyNewsInformation , CompanyProperties , ErrorMessageData , FreeTypeFontCache , SelectCompanyManagerFaceWindow
- facilities : BaseStation
- Failed() : CommandCost
- FakePointer() : LinkGraph::BaseEdgeIterator< Tedge, Tedge_wrapper, Titer >::FakePointer
- fallback : BaseSet< T, Tnum_files, Tsearch_in_tars >
- fallback_price : PriceBaseSpec
- fallback_railtype : RailtypeInfo
- FallbackParagraphLayout() : FallbackParagraphLayout
- FallbackVisualRun() : FallbackParagraphLayout::FallbackVisualRun
- family : ClientNetworkStunSocketHandler , NetworkReuseStunConnecter , TCPConnecter
- fast_forward_key_pressed : VideoDriver
- fast_forward_speed_limit : GUISettings
- fast_forward_via_key : VideoDriver
- fc : ICU_FONTINSTANCE
- fct_checker : ViewportSSCSS
- fct_sorter : ViewportSSCSS
- feat : NewGRFProfiler::Call
- feature : BasePersistentStorageArray
- feeder_payment_share : EconomySettings
- feeder_share : CargoPacket , VehicleCargoList
- FeederShare() : CargoPacket , VehicleCargoList
- fh : FileStringReader , FileWriter
- fields : IndustryCargoesWindow
- file : FileReader , FileWriter , GrfProcessingState , LanguageMetadata , SpriteCache , StringReader
- file_handle : RandomAccessFile
- file_list : FiosFileScanner
- file_list_valid : ConsoleFileList
- file_names : BaseSet< T, Tnum_files, Tsearch_in_tars >
- file_op : FileToSaveLoad
- file_type : TextfileWindow
- filename : ContentInfo , FileWriter
- Filename() : FiosNumberedSaveName
- filename : GRFConfig , MD5File , MusicSongInfo , RandomAccessFile , ScenarioIdentifier
- filename_editbox : SaveLoadWindow
- filename_log : CrashLogOSX
- filename_save : CrashLogOSX
- filename_screenshot : CrashLogOSX
- FileReader() : FileReader
- files : BaseSet< T, Tnum_files, Tsearch_in_tars >
- filesize : ContentInfo
- filesize_sum : NetworkContentListWindow
- FileStringReader() : FileStringReader
- filetype : MusicSongInfo
- FileWriter() : FileWriter
- fill_percent_te_id : Vehicle
- fill_x : NWidgetBase
- fill_y : NWidgetBase
- FillCrashLog() : CrashLog
- FillNestedArray() : NWidgetBackground , NWidgetBase , NWidgetContainer , NWidgetCore , NWidgetMatrix , NWidgetSpacer , NWidgetStacked
- FillSetDetails() : BaseSet< T, Tnum_files, Tsearch_in_tars >
- filter : BuildVehicleWindow , GameSettingsWindow
- Filter() : GUIList< T, F >
- filter : StationViewWindow::RowDisplay
- filter_buffer : StringFilter
- filter_data : NetworkContentListWindow
- filter_editbox : BuildObjectWindow , BuildRailStationWindow , GameSettingsWindow , NetworkContentListWindow , NetworkGameWindow , NewGRFWindow , SaveLoadWindow , SignListWindow
- filter_func_list : GUIList< T, F >
- filter_funcs : BuildObjectWindow , BuildRailStationWindow , NetworkContentListWindow , NewGRFWindow
- filter_type : GUIList< T, F >
- FilterContentList() : NetworkContentListWindow
- FilterEngineList() : BuildVehicleWindow
- FilterFunction : GUIList< T, F >
- FilterSignList() : SignList
- FilterSingleEngine() : BuildVehicleWindow
- FilterType() : GUIList< T, F >
- FilterVehicleList() : BaseVehicleListWindow
- Finalise() : FileWriter , HeaderFileWriter , HeaderWriter , LanguageFileWriter , LanguageWriter , StringNameWriter , TranslationWriter
- Finalize() : GRFParameterInfo
- FinalizeLocalConsumption() : FlowStatMap
- FinalizeParameterInfo() : GRFConfig
- FinalizeRefitAction() : FinalizeRefitAction
- Find() : CHashTableSlotT< Titem_ > , CHashTableT< Titem_, Thash_bits_ > , SmallMap< T, U > , StringData
- FindClosedNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- FindClosestDepot() : Aircraft , RoadVehicle , Ship , Train , Vehicle
- FindContained() : Kdtree< T, TxyFunc, CoordT, DistT >
- FindCycleFlow() : MCF1stPass
- FindDepotData() : FindDepotData
- FindEntry() : BaseSettingEntry , SettingsContainer , SettingsPage
- FindIndex() : CBinaryHeapT< T >
- FindInfo() : AI , AIConfig , AIScannerInfo , Game , GameConfig , GameScannerInfo , ScriptConfig
- FindItem() : FileList
- FindKnownName() : DumpTarget
- FindLibrary() : AI , AIInstance , AIScannerLibrary , Game , GameInstance , GameScannerLibrary , ScriptInstance
- FindMainScript() : ScriptScanner
- FindMissingGlyphs() : MissingGlyphSearcher
- FindNearest() : Kdtree< T, TxyFunc, CoordT, DistT >
- FindNearestDepot() : CYapfFollowRoadT< Types >
- FindNearestRecursive() : Kdtree< T, TxyFunc, CoordT, DistT >
- FindNode() : Hash
- FindOpenNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- FindPath() : CYapfBaseT< Types >
- FindSafePositionOnNode() : CYapfReserveTrack< Types >
- FindSets() : BaseMedia< Tbase_set >
- FindTrainOnTrackInfo() : FindTrainOnTrackInfo
- FindWindowPlacementAndResize() : MainToolbarWindow , NetworkAskRelayWindow , NetworkChatWindow , QueryWindow , ScenarioEditorToolbarWindow , StatusBarWindow , Window
- Finish() : FileWriter , LZMASaveFilter , PacketWriter , SaveFilter , ZlibSaveFilter
- FinishInitNested() : Window
- fios_items : SaveLoadWindow
- fios_items_shown : SaveLoadWindow
- FiosFileScanner() : FiosFileScanner
- FiosNumberedSaveName() : FiosNumberedSaveName
- first : CommandQueue , OrderList
- First() : SpecializedVehicle< T, Type >
- first : Vehicle
- First() : Vehicle
- first_bit : GRFParameterInfo
- first_child : ParentSpriteToDraw
- first_dirty : Palette
- first_engine : GroundVehicleCache
- first_free : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- first_shared : OrderList
- first_sprite : CompanyManagerFaceBitsInfo
- first_tile : ClearedObjectArea
- first_unused : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- FirstFreeSubArray() : SmallArray< T, B, N >
- FirstShared() : Vehicle
- fix_at : CursorVars
- FixedSizeArray() : FixedSizeArray< T, C >
- FixOldVehicles : Vehicle
- FixPointers() : BKORChunkHandler , CAPYChunkHandler , CHKPChunkHandler , ChunkHandler , CITYChunkHandler , DefaultSaveLoadHandler< TImpl, TObject > , DEPTChunkHandler , ERNWChunkHandler , INDYChunkHandler , LGRSChunkHandler , OBJSChunkHandler , ORDLChunkHandler , ORDRChunkHandler , PLYRChunkHandler , ROADChunkHandler , SaveLoadHandler , STNNChunkHandler , STNSChunkHandler , VEHSChunkHandler
- fizzy_drink : ExtraPaletteValues
- flag : AirportMovingData
- flag_offset : NetworkGameWindow
- flag_size : DepotWindow
- flags : Aircraft , Airport
- Flags : AirportFTAClass
- flags : AirportFTAClass , BaseSettingEntry , BridgeSpec , CanalProperties , CommandInfo , DisasterVehicle , Engine , GRFConfig , Group , GUIEngineListItem , GUIList< T, F > , NewsItem , NWidgetPIPContainer , ObjectSpec , OptionData , Order , QueryStringWindow , RailtypeInfo , RoadTypeInfo , ScriptConfigItem , SettingDesc , StationSpec , TileLayoutRegisters , Town , WaterFeature , Window , WindowDesc
- Flow() : LinkGraphJob::Edge
- flow : LinkGraphJob::EdgeAnnotation , Path
- FlowEdgeIterator() : FlowEdgeIterator
- FlowMapper() : FlowMapper
- flows : GoodsEntry
- Flows() : LinkGraphJob::Node
- flows : LinkGraphJob::NodeAnnotation
- FlowStat() : FlowStat
- fluct : Economy
- Flush() : CSegmentCostCacheT< Tsegment > , MemoryDumper , UnmappedChoiceList
- FoldAll() : SettingsContainer , SettingsPage
- folded : Group , SettingsPage
- Follow() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- follow_vehicle : ViewportData
- FollowTileExit() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- font : CoreTextFontCache , FallbackParagraphLayout::FallbackVisualRun , FontCacheSubSetting , Win32FontCache
- font_desc : CoreTextFontCache
- font_name : CoreTextFontCache
- font_tables : TrueTypeFontCache
- FontCache() : FontCache
- fontname : Win32FontCache
- fonts : Layouter
- fontsize : FontState
- FontTable : TrueTypeFontCache
- footer : LeagueTable
- fop : FiosFileScanner , SaveLoadWindow
- forbid_90_deg : PathfinderSettings
- FORCE_REFRESH_PERIOD : SmallMapWindow
- ForcedReverse() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- ForceRebuild() : GUIList< T, F >
- ForceResort() : GUIList< T, F >
- Fork() : Path
- Format() : Time< T >
- FormatValue() : BoolSettingDesc , IntSettingDesc , ListSettingDesc , ManyOfManySettingDesc , NullSettingDesc , OneOfManySettingDesc , SettingDesc , StringSettingDesc
- found_files : BaseSet< T, Tnum_files, Tsearch_in_tars >
- found_town : EconomySettings
- foundation : ViewportDrawer
- foundation_offset : ViewportDrawer
- foundation_part : ViewportDrawer
- FoundBestNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- founder : Industry
- frame : CommandPacket
- frame_counter : AI , Game
- frame_freq : NetworkSettings
- framerect : WidgetDimensions
- frames : AnimationInfo
- frametext : WidgetDimensions
- fread_buf : LZMALoadFilter , ZlibLoadFilter
- Free() : AyStar , BinaryHeap , CommandQueue , Order
- free_capacity : Path
- free_list : Kdtree< T, TxyFunc, CoordT, DistT >
- free_names : StationNameInformation
- FreeBay() : RoadStop
- FreeChain() : OrderList
- freeform_edges : ConstructionSettings
- FreeSubtree() : Kdtree< T, TxyFunc, CoordT, DistT >
- FreeTranslation() : LangString , StringData
- FreeTypeFontCache() : FreeTypeFontCache
- FreeUnitIDGenerator() : FreeUnitIDGenerator
- freeze : TileHighlightData
- freight_trains : VehicleSettings
- from : LinkRefresher::Hop
- From() : SpecializedStation< T, Tis_waypoint > , SpecializedVehicle< T, Type >
- FromDisplay() : UnitConversion
- front : CargoPayment
- fs : FontCache
- fsm : AirportSpec
- fullbevel : WidgetDimensions
- fullscreen : VideoDriver_Win32Base
- func_ptr : NWidgetPart
- fund_buildings : EconomySettings
- fund_buildings_months : Town
- fund_roads : EconomySettings
- fwrite_buf : LZMASaveFilter , ZlibSaveFilter